View Issue Details

IDProjectCategoryView StatusLast Update
0001067SOGoWeb Calendarpublic2016-03-24 14:55
ReporterSebseb01 Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.3.0 
Target VersionFixed in Version3.1.0 
Summary0001067: Add fonction for duplicate event
DescriptionI need a simple method for duplicated an event from the webinterface.

for exemple holding down the <ctrl> key, and move the event
TagsNo tags attached.

Relationships

related to 0003196 resolvedludovic Creating copies of appointments should be possible within the same calendar 

Activities

francis

francis

2011-01-05 12:24

administrator   ~0001998

I know it's not exactly what you want to do, but for your information, you can copy & paste an event to a different calendar using the usual key combinations.
Sebseb01

Sebseb01

2011-01-06 04:53

reporter   ~0002010

I have just test, the usual keys doesn't work (Firefox 3.6 and chromium 9.0.597) :-/

I want copy an event by drag and drop on a new date/time. (usual keys for copy at an other week would be useful too)
nithril

nithril

2011-07-28 04:24

reporter   ~0002750

This feature would be great.

I have to create events with more than 10 participants.

Without a duplicate or a create from features it's very painfull.
Christian Mack

Christian Mack

2011-07-29 05:40

developer   ~0002755

As francis already said!

The workaround is to copy the event to another calendar by:
1) selecting the original event
2) press <CTRL>+C keys for "copy object"
3) select another calendar in the list on the left side
4) press <CTRL>+V keys for "insert event"

Now you have 2 Events with the same content, name, invitees, start and end time in 2 different calendars.
Edit the one event you copied, e.g. by setting another start time, add another invitee and switch calendar.
nithril

nithril

2011-07-29 07:06

reporter   ~0002757

A workaround is not a fix.

I understand I must create a special "copy&paste" calendar ?

Seriously...
Christian Mack

Christian Mack

2011-07-29 09:43

developer   ~0002766

To have a workaround is better than not having one :-)

No, you can use every calendar you have write privileges for. It only has to be different from the calendar with the original event.
ludovic

ludovic

2016-03-24 14:55

administrator   ~0009843

Now possible in v3.

Issue History

Date Modified Username Field Change
2011-01-05 06:41 Sebseb01 New Issue
2011-01-05 12:24 francis Note Added: 0001998
2011-01-06 04:53 Sebseb01 Note Added: 0002010
2011-07-28 04:24 nithril Note Added: 0002750
2011-07-29 05:40 Christian Mack Note Added: 0002755
2011-07-29 07:06 nithril Note Added: 0002757
2011-07-29 09:43 Christian Mack Note Added: 0002766
2016-03-24 14:54 ludovic Relationship added related to 0003196
2016-03-24 14:55 ludovic Note Added: 0009843
2016-03-24 14:55 ludovic Status new => resolved
2016-03-24 14:55 ludovic Fixed in Version => 3.1.0
2016-03-24 14:55 ludovic Resolution open => fixed
2016-03-24 14:55 ludovic Assigned To => ludovic